Subject: bug#19149: closed (Re: bug#19149: 25.0.50; Error in linking gtkutil.o)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 23 Nov 2014 10:59:02 +0000

Your bug report

#19149: 25.0.50; Error in linking gtkutil.o

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19149: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19149
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19149: 25.0.50; Error in linking gtkutil.o
From: Jan Djärv <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: [email-masked]
Date: Sun, 23 Nov 2014 11:58:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Den 2014-11-22 21:36, Michael Albinus skrev:
> "Jan D." <[email-masked]> writes:
>
>> What is your gtk+ version?  Check /usr/include/gtk-2.0/gtk/gtkversion.h (I think).
>
> /* compile time version
>   */
> #define GTK_MAJOR_VERSION                               (2)
> #define GTK_MINOR_VERSION                               (10)
> #define GTK_MICRO_VERSION                               (4)
> #define GTK_BINARY_AGE                                  (1004)
> #define GTK_INTERFACE_AGE                               (4)
>
>> 	Jan D.
>
> Best regards, Michael.
>

This has been fixed in trunk.

	Jan D.

Subject: 25.0.50; Error in linking gtkutil.o
From: Michael Albinus <[email-masked]>
To: [email-masked]
Date: Sat, 22 Nov 2014 09:04:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I've tried to compile trunk Emacs on an old machine equipped with a mix
of rhel5 and fedora10. It fails with the following error message:

gcc -std=gnu99 -Demacs  -I. -I. -I../lib -I../lib   -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/freetype2    -I/usr/include/alsa   -I/usr/include/librsvg-2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0    -I/usr/include/libpng12 -I/usr/include/libxml2   -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include      -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/freetype2      -MMD -MF deps/.d -MP     -g3 -O2  -Wl,-znocombreloc   \
          -o temacs  vm-limit.o dispnew.o frame.o scroll.o xdisp.o menu.o xmenu.o window.o charset.o coding.o category.o ccl.o character.o chartab.o bidi.o cm.o term.o terminal.o xfaces.o xterm.o xfns.o xselect.o xrdb.o xsmfns.o xsettings.o gtkutil.o  dbusbind.o emacs.o keyboard.o macros.o keymap.o sysdep.o buffer.o filelock.o insdel.o marker.o minibuf.o fileio.o dired.o cmds.o casetab.o casefiddle.o indent.o search.o regex.o undo.o alloc.o data.o doc.o editfns.o callint.o eval.o floatfns.o fns.o font.o print.o lread.o syntax.o unexelf.o bytecode.o process.o gnutls.o callproc.o region-cache.o sound.o atimer.o doprnt.o intervals.o textprop.o composite.o xml.o  profiler.o decompress.o     xfont.o ftfont.o xftfont.o ftxfont.o  fontset.o fringe.o image.o xgselect.o  terminfo.o lastfile.o      ../lib/libgnu.a       -ltiff -ljpeg -lpng12 -lgif -lXpm -L/lib64 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lSM -lICE -lX11 -lXrender -lXft -lXrender -lfontconfig -lfreetype -lX11   -lasound   -L/lib64 -lrsvg-2 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0    -lacl -lrt   -lrt -L/lib64 -ldbus-1     -lXinerama -lXfixes   -lxml2 -lz -lm   -lgpm   -lncurses  -pthread -L/lib64 -lgconf-2 -lORBit-2 -lm -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0   -L/lib64 -lgobject-2.0 -lglib-2.0   -lselinux -lfreetype   -lfontconfig      -lpthread  -lm -lz
gtkutil.o: In function `xg_set_toolkit_horizontal_scroll_bar_thumb':
/home/albinus/src/emacs/src/gtkutil.c:3942: undefined reference to `gtk_adjustment_configure'
collect2: ld returned 1 exit status
make[1]: *** [temacs] Error 1
make[1]: Leaving directory `/home/albinus/src/emacs/src'
make: *** [src] Error 2

Best regards, Michael.